/* COLORS */
/* TYPOGRAPHY */
/* ---- MEDIA QUERIES ----- */
.all-courses-hero {
  aspect-ratio: 1920/930;
  max-height: 93rem;
  min-height: 70rem;
  width: 100%;
  position: relative;
}
.all-courses-hero .all-courses-hero-wrapper {
  grid-column: full-width !important;
  -webkit-mask-image: url("../../../assets/svg/hero-mask.svg");
  mask-image: url("../../../assets/svg/hero-mask.svg");
  -webkit-mask-mode: alpha;
  mask-mode: alpha;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  -webkit-mask-position: center;
  mask-position: center;
  -webkit-mask-size: cover;
  mask-size: cover;
  background-color: black;
  overflow: hidden;
}
.all-courses-hero .container {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 2.4rem;
  padding: 16.2rem 2.4rem 20rem;
  max-width: calc(1036px + 4.8rem);
  margin: 0 auto;
}
.all-courses-hero .container .heading,
.all-courses-hero .container .text {
  color: #fff;
  max-width: 68rem;
}
.all-courses-hero .container .text {
  font-size: 2rem;
  font-weight: 500;
  line-height: 125%;
}
.all-courses-hero .container .review {
  color: #fff;
  font-weight: 600;
  font-size: 1.6rem;
}
.all-courses-hero .background-image {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: 100%;
  height: auto;
  z-index: -2;
  pointer-events: none;
  user-select: none;
}
.all-courses-hero .background-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.all-courses-hero .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: linear-gradient(0deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.2) 100%);
  z-index: -1;
}

.all-courses-list {
  display: flex;
  flex-direction: column;
  gap: 4.8rem;
  margin: -20rem 0 0;
  position: relative;
  padding: 0 0 5.6rem;
}

@media (max-width: 768px) {
  .all-courses-hero {
    min-height: 71.2rem;
  }
  .all-courses-hero .container {
    padding: 15.7rem 2.4rem 10rem;
    justify-content: flex-start;
    text-align: center;
  }
  .all-courses-list {
    padding: 0 0 4.8rem;
  }
}